#!/bin/bash

# This is the security patch for SIWB Installer in Mac OSX

SIWB_INSTALLED_PATH=/Applications/SIWB_Interactive/
SIWB_JRE_PATH=SIWB_Interactive.app/Contents/PlugIns/jdk1.7.0_45.jdk/Contents/Home/jre
SIWB_JRE_BKP=SIWB_Interactive.app/Contents/PlugIns/jdk1.7.0_45.jdk/Contents/Home/jre_bkp

if [ -d "$SIWB_INSTALLED_PATH" ]; then
   echo "Directory found $SIWB_INSTALLED_PATH"
   echo $SIWB_INSTALLED_PATH$SIWB_JRE_PATH
   mv $SIWB_INSTALLED_PATH$SIWB_JRE_PATH $SIWB_INSTALLED_PATH$SIWB_JRE_BKP
   cp -R ./jre/ $SIWB_INSTALLED_PATH$SIWB_JRE_PATH
   echo "Files copied successfully"	
else 
   echo "SIWB installer path not found"	
fi 

